Package org.eclipse.mat.parser.index

# Class IndexWriter.LongIndexCollector

java.lang.Object
org.eclipse.mat.parser.index.IndexWriter.LongIndexCollector

Enclosing class:
  `IndexWriter`

public static class IndexWriter.LongIndexCollector extends Object
A collector for a int to long mapping. Compressed with a maximum range of bits.

## Constructor Summary

Constructors
Constructor
Description
`LongIndexCollector(int size, int mostSignificantBit)`
Create the collector.

## Method Summary

Modifier and Type
Method
Description
`long`
`get(int index)`
`long[]`
`getNext(int index, int length)`
`IteratorLong`
`iterator()`
`int`
`reverse(long value)`
`void`
`set(int index, long value)`
`int`
`size()`
`void`
`unload()`
`IIndexReader.IOne2LongIndex`
`writeTo(File indexFile)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LongIndexCollector

public LongIndexCollector(int size, int mostSignificantBit)
Create the collector.

Parameters:
  `size` - the number of elements
  `mostSignificantBit` - the MSB of the long values

## Method Details

### writeTo

public IIndexReader.IOne2LongIndex writeTo(File indexFile) throws IOException

Throws:
  `IOException`

### set

public void set(int index, long value)

### get

public long get(int index)

### getNext

public long[] getNext(int index, int length)

### reverse

public int reverse(long value)

### unload

public void unload()

### size

public int size()

### iterator

public IteratorLong iterator()